Creates a new article status list
Request Information
URI Parameters :
None.
Body Parameters :
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Optionally required : article_status_id required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| date_start_delivery |
Start delivery date |
date | |
| date_start |
Date start |
date | |
| date_end |
Date end |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "f4914ddc-6674-42e8-9229-29b4ea7eb55c",
"article_status_id": "233e7dfd-b61a-4cd2-846a-1815c74555f5",
"article_id": "fe6702b2-77e8-4760-a6bd-d8efe94b4f87",
"article_code": "sample string 4",
"sales_organization_id": "f6a5ce99-e666-427c-9695-0e5f4dd569d7",
"date_start_delivery": "2026-04-14T05:34:05.0624701+00:00",
"date_start": "2026-04-14T05:34:05.0624701+00:00",
"date_end": "2026-04-14T05:34:05.0624701+00:00",
"modified_dateutc": "2026-04-14T05:34:05.0624701+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.